Bug 15150 - MouseKeys randomly stops working (and other -- maybe related -- quirks)
Summary: MouseKeys randomly stops working (and other -- maybe related -- quirks)
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Input/Keyboard (show other bugs)
Version: 7.3 (2007.09)
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords: NEEDINFO
Depends on:
Blocks:
 
Reported: 2008-03-20 17:05 UTC by Richard Klinda
Modified: 2008-05-13 14:15 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Klinda 2008-03-20 17:05:34 UTC
Another Debian user reported this problem in the Debian Bug Tracker here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=463363

Just start your xserver, turn on MouseKeys, then after 5-15 minutes MouseKeys will stop working (i use sawfish).  A friend of mine experiences this too (xfce4, debian sid).

Other related quirks:
  - sometimes a key gets stuck (rare).  For example the letter 'a', so the text "aaaaaaaaaaaaaaaaaaaaaaaaaaa...." gets typed into the current application.  Sometimes a modifier gets stuck this way, like control or meta.  I can bring it out every time by playing any flash game on kongregate.com which uses the keyboard.
  - sometimes (raaaaare) sticky keys stops working too.  That's it, keys arent sticky any more.
  - after MouseKeys stops working, I can't switch terminals using Control-Alt-F keys.  Just doesn't work.  Before that I can use that combo as usual.

I can help with any testing you need, just contact me.

Thanks,
Richard
Comment 1 Richard Klinda 2008-03-23 05:39:33 UTC
Here is a recent topic on the linux kernel mailing list about the stuck keys issue.

http://groups.google.com/group/linux.kernel/browse_thread/thread/f00fb4e0300ec914/41e779c7c37ee373?lnk=raot

The best answer may be this:

"Now, if X has a need for low-latency for keyboard handling, 
then the X developers can use mlock to lock 
the X keyboard service in memory, and make it a real-time 
(or at least high priority) process too.  This should 
avoid the problem even with extreme swapping and/or 
high cpu load."
Comment 2 Daniel Stone 2008-04-03 10:44:14 UTC
(In reply to comment #0)
> Other related quirks:
>   - sometimes a key gets stuck (rare).  For example the letter 'a', so the text
> "aaaaaaaaaaaaaaaaaaaaaaaaaaa...." gets typed into the current application. 
> Sometimes a modifier gets stuck this way, like control or meta.  I can bring it
> out every time by playing any flash game on kongregate.com which uses the
> keyboard.

This should be fixed in both master and server-1.5-branch.
Comment 3 Peter Hutterer 2008-05-06 23:17:11 UTC
Richard: can you verify this please?
Comment 4 Richard Klinda 2008-05-07 04:25:15 UTC
(In reply to comment #3)
> Richard: can you verify this please?
> 

Unfortunately Debian only has 2:1.4.99.901-2 (experimental) and 2:1.4.1~git20080131-4 (sid).  I have never compiled Xorg for myself, but I'll try and give it a spin on Sunday, I will report back here.   Thanks.
Comment 5 Richard Klinda 2008-05-13 14:15:50 UTC
I confirm this bug as solved.  All the quirks are gone.  My xserver-xorg-core version is 2:1.4.1~git20080131-4 (Debian).

Thank you.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.